libdvbv5: lib/include/libdvbv5/desc_terrestrial_delivery.h File Reference

libdvbv5 1.30.1 Library to work with Digital TV devices on Linux

Data Structures | Functions | Variables
desc_terrestrial_delivery.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the DVB-T terrestrial delivery system descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures
struct | dvb_desc_terrestrial_delivery
| Structure containing the DVB-T terrestrial delivery system descriptor. More...

## Functions
int | dvb_desc_terrestrial_delivery_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the DVB-T terrestrial delivery system descriptor.
void | dvb_desc_terrestrial_delivery_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the DVB-T terrestrial delivery system descriptor.

## Variables
const unsigned | dvbt_bw []
| converts from internal representation into bandwidth in Hz
const unsigned | dvbt_modulation []
| converts from the descriptor's modulation into enum fe_modulation, as defined by DVBv5 API.
const unsigned | dvbt_hierarchy []
| converts from the descriptor's hierarchy into enum fe_hierarchy, as defined by DVBv5 API.
const unsigned | dvbt_code_rate []
| converts from the descriptor's FEC into enum fe_code_rate, as defined by DVBv5 API.
const uint32_t | dvbt_interval []
| converts from internal representation into enum fe_guard_interval, as defined at DVBv5 API.
const unsigned | dvbt_transmission_mode []
| converts from the descriptor's transmission mode into enum fe_transmit_mode, as defined by DVBv5 API.

## Detailed Description

Provides the descriptors for the DVB-T terrestrial delivery system descriptor.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_terrestrial_delivery.h.

## Function Documentation

## ◆ dvb_desc_terrestrial_delivery_init()

int dvb_desc_terrestrial_delivery_init | ( | struct dvb_v5_fe_parms * | parms,
|  | const uint8_t * | buf,
|  | struct dvb_desc * | desc )

Initializes and parses the DVB-T terrestrial delivery system descriptor.

Parameters

  parms | struct dvb_v5_fe_parms pointer to the opened device
  buf | buffer containing the descriptor's raw data
  desc | pointer to struct dvb_desc to be allocated and filled

This function initializes and makes sure that all fields will follow the CPU endianness. Due to that, the content of the buffer may change.

Currently, no memory is allocated internally.

Returns
  On success, it returns the size of the allocated struct. A negative value indicates an error.

## Variable Documentation

## ◆ dvbt_bw

const unsigned dvbt_bw[]
| extern

converts from internal representation into bandwidth in Hz

Referenced by dvb_desc_terrestrial_delivery_print().

## ◆ dvbt_code_rate

const unsigned dvbt_code_rate[]
| extern

converts from the descriptor's FEC into enum fe_code_rate, as defined by DVBv5 API.

Referenced by dvb_desc_terrestrial_delivery_print().

## ◆ dvbt_hierarchy

const unsigned dvbt_hierarchy[]
| extern

converts from the descriptor's hierarchy into enum fe_hierarchy, as defined by DVBv5 API.

Referenced by dvb_desc_terrestrial_delivery_print().

## ◆ dvbt_interval

const uint32_t dvbt_interval[]
| extern

converts from internal representation into enum fe_guard_interval, as defined at DVBv5 API.

Referenced by dvb_desc_terrestrial_delivery_print().

## ◆ dvbt_modulation

const unsigned dvbt_modulation[]
| extern

converts from the descriptor's modulation into enum fe_modulation, as defined by DVBv5 API.

Referenced by dvb_desc_terrestrial_delivery_print().

## ◆ dvbt_transmission_mode

const unsigned dvbt_transmission_mode[]
| extern

converts from the descriptor's transmission mode into enum fe_transmit_mode, as defined by DVBv5 API.

Referenced by dvb_desc_terrestrial_delivery_print().